commit 13835a3c1e057efad7da269c0f93bf2eac850205
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Dec 29 00:14:20 2025 +0000

    LDAP: support module load triggered by variable access

diff --git a/src/src/expand.c b/src/src/expand.c
index 23ae31baa..3c68ab2e9 100644
--- a/src/src/expand.c
+++ b/src/src/expand.c
@@ -2175,6 +2175,30 @@ switch (vp->type)
       "failed to find %s module for %s: %s", US val, name, errstr);
     return US"";
     }
+
+  case vtype_lookup_module:
+    {
+    uschar * errstr = NULL;
+    const tree_node * t = tree_search(lookups_tree, val);
+#ifdef LOOKUP_MODULE_DIR
+    if (!t)
+      {
+      lookup_one_mod_load(val, &errstr);
+      t = tree_search(lookups_tree, val);
+      }
+#endif
+    if (t)
+      {
+      const lookup_info * li = t->data.ptr;
+      table = li->variables;
+      table_count = li->variables_count;
+      goto sublist;
+      }
+    log_write(0, LOG_MAIN|LOG_PANIC,
+      "failed to find %s module for %s%s%s", US val, name,
+	errstr ? ": " : "", errstr);
+    return US"";
+    }
   }
 
 return NULL;  /* Unknown variable. Silences static checkers. */

